package com.ruoyi.ems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ems.mapper.AdmEmsElecStoreHMapper;
import com.ruoyi.ems.domain.AdmEmsElecStoreH;
import com.ruoyi.ems.service.IAdmEmsElecStoreHService;

/**
 * 储能计量-小时Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
@Service
public class AdmEmsElecStoreHServiceImpl implements IAdmEmsElecStoreHService 
{
    @Autowired
    private AdmEmsElecStoreHMapper admEmsElecStoreHMapper;

    /**
     * 查询储能计量-小时
     * 
     * @param id 储能计量-小时主键
     * @return 储能计量-小时
     */
    @Override
    public AdmEmsElecStoreH selectAdmEmsElecStoreHById(Long id)
    {
        return admEmsElecStoreHMapper.selectAdmEmsElecStoreHById(id);
    }

    /**
     * 查询储能计量-小时列表
     * 
     * @param admEmsElecStoreH 储能计量-小时
     * @return 储能计量-小时
     */
    @Override
    public List<AdmEmsElecStoreH> selectAdmEmsElecStoreHList(AdmEmsElecStoreH admEmsElecStoreH)
    {
        return admEmsElecStoreHMapper.selectAdmEmsElecStoreHList(admEmsElecStoreH);
    }

    /**
     * 新增储能计量-小时
     * 
     * @param admEmsElecStoreH 储能计量-小时
     * @return 结果
     */
    @Override
    public int insertAdmEmsElecStoreH(AdmEmsElecStoreH admEmsElecStoreH)
    {
        return admEmsElecStoreHMapper.insertAdmEmsElecStoreH(admEmsElecStoreH);
    }

    /**
     * 修改储能计量-小时
     * 
     * @param admEmsElecStoreH 储能计量-小时
     * @return 结果
     */
    @Override
    public int updateAdmEmsElecStoreH(AdmEmsElecStoreH admEmsElecStoreH)
    {
        return admEmsElecStoreHMapper.updateAdmEmsElecStoreH(admEmsElecStoreH);
    }

    /**
     * 批量删除储能计量-小时
     * 
     * @param ids 需要删除的储能计量-小时主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsElecStoreHByIds(Long[] ids)
    {
        return admEmsElecStoreHMapper.deleteAdmEmsElecStoreHByIds(ids);
    }

    /**
     * 删除储能计量-小时信息
     * 
     * @param id 储能计量-小时主键
     * @return 结果
     */
    @Override
    public int deleteAdmEmsElecStoreHById(Long id)
    {
        return admEmsElecStoreHMapper.deleteAdmEmsElecStoreHById(id);
    }
}
